Bug 192750 - SLL: innerText should preserve leading whitespace when the out-of-flow (or float) element starts with collapsed new line(s).
Summary: SLL: innerText should preserve leading whitespace when the out-of-flow (or fl...
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL: https://bugs.chromium.org/p/chromium/...
Keywords: Gtk, InRadar, LayoutTestFailure
: 192851 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-12-17 01:23 PST by Carlos Garcia Campos
Modified: 2019-01-20 18:11 PST (History)
8 users (show)

See Also:


Attachments
Test case (495 bytes, text/html)
2018-12-17 01:23 PST, Carlos Garcia Campos
no flags Details
Test case2 (143 bytes, text/html)
2018-12-17 07:48 PST, zalan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2018-12-17 01:23:56 PST
Created attachment 357429 [details]
Test case

Several tests started to fail for GTK+ port when we switched to always use complex text. See for example:

https://build.webkit.org/results/GTK%20Linux%2064-bit%20Release%20(Tests)/r239206%20(9103)/fast/css/getComputedStyle/computed-style-font-family-pretty-diff.html

Note that the only difference is that the expected output doesn't have a space between "Firefox behavior." and "stopPropagation called." This is because the simple line layout code path is taken in TextIterator::handleTextNode(). When forcing complex text, that path is not taken and a space is added, which is the correct behavior I guess. I've created a simple test to check this, see the attached file.
Comment 1 zalan 2018-12-17 07:48:41 PST
Created attachment 357439 [details]
Test case2

Apparently we are supposed to preserve the collapsed new line for out of flow elements (and floats too).
Comment 2 Carlos Garcia Campos 2018-12-19 06:55:33 PST
*** Bug 192851 has been marked as a duplicate of this bug. ***
Comment 3 Carlos Garcia Campos 2018-12-31 05:36:28 PST
Committed r239564: <https://trac.webkit.org/changeset/239564>
Comment 4 Radar WebKit Bug Importer 2018-12-31 05:39:13 PST
<rdar://problem/46987463>
Comment 5 Emilio Cobos Álvarez (:emilio) 2019-01-02 08:26:20 PST
I bet this wasn't meant to be closed.
Comment 6 zalan 2019-01-02 08:30:06 PST
(In reply to Emilio Cobos Álvarez (:emilio) from comment #5)
> I bet this wasn't meant to be closed.
Yeah, I was wondering about that too.
Comment 7 Carlos Garcia Campos 2019-01-02 23:46:30 PST
I think it's a bug in webkit-patch. I landed a gardening patch mentioning this bug in the changelog description (not in the title), and decided to close this. I'll try to remember to use --no-close option next time.